Activate patrol system for hewikinews
Closed, ResolvedPublic

Description

Hello.

Per community consensus, please activate a "patrolled edits" system for the Hebrew Wikinews (hewikinews).

The following changes should be made to user rights:

  • Add a new autopatrolled user group. Users in this group should only have the autopatrol right.
  • Add a new patroller user group. Users in this group should have the following rights:
    1. autopatrol
    2. patrolmarks
    3. patrol
    4. rollback
    5. unwatchedpages
  • Administrators should be able to add and remove users to/from the "autopatrolled" and "patroller" groups.

Thanks in advance.

Guycn2 created this task.Jul 16 2016, 9:43 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 16 2016, 9:43 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJul 16 2016, 10:04 PM
MarcoAurelio triaged this task as Low priority.Jul 17 2016, 1:52 PM
MarcoAurelio moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
MarcoAurelio claimed this task.

Change 299446 had a related patch set uploaded (by MarcoAurelio):
Configuration changes for he.wikinews.org

https://gerrit.wikimedia.org/r/299446

Guycn2 added a comment.EditedJul 17 2016, 6:09 PM

@MarcoAurelio, I see that you've uploaded a patch, but the Hebrew Wikinews is not affected... Why ?

Krinkle added a subscriber: Krinkle.EditedJul 17 2016, 6:41 PM

@MarcoAurelio, I see that you've uploaded a patch, but the Hebrew Wikinews is not affected... Why ?

The patch is currently a submission. It is waiting for checking and review. Then, it will be deployed directly or scheduled for a specific time.

If the consensus is all confirmed, we can use the standard SWAT deployment schedule to activate the feature.

The patch is currently a submission. It is waiting for checking and review. Then, it will be deployed directly or scheduled for a specific time.

If the consensus is all confirmed, we can use the standard SWAT deployment schedule to activate the feature.

Thanks for the answer!

Absent negative code reviews, I've scheduled the patch for SWAT today.

Change 299446 merged by jenkins-bot:
Configuration changes for he.wikinews.org

https://gerrit.wikimedia.org/r/299446

Thank you very much!

MarcoAurelio moved this task from To deploy to Done on the Wikimedia-Site-requests board.
MarcoAurelio closed this task as Resolved.

Deployed. Should be working. Please reopen if there's any issues. Regards.

Mentioned in SAL [2016-07-20T15:26:05Z] <mafk> SWAT for {{gerrit|299446}} done, which fixes T140544

Deployed. Should be working. Please reopen if there's any issues. Regards.

It's working perfectly, thank you.